Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.gvt.event.GraphicsNodeEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GraphicsNodeChangeEvent, GraphicsNodeFocusEvent, GraphicsNodeInputEvent

    public class GraphicsNodeEvent

extends EventObject

A low-level event for GraphicsNode.

See Also:
  Serialized Form

Field Summary
`protected int` | `id` The ID of this event.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphicsNodeEvent(GraphicsNode source, int id)` Constructs a new graphics node event with the specified source and ID.

Method Summary
`void` | `consume()` Consumes this event so that it will not be processed in the default manner by the source which originated it.
`GraphicsNode` | `getGraphicsNode()` Returns the graphics node where the event is originated.
`int` | `getID()` Returns the ID of this event.
`boolean` | `isConsumed()` Returns whether or not this event has been consumed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

  The ID of this event.

Constructor Detail

### GraphicsNodeEvent

    public GraphicsNodeEvent(GraphicsNode source,
                             int id)

  Constructs a new graphics node event with the specified source and ID.

  Parameters:
    `source` - the graphics node where the event originated
    `id` - the id of this event

Method Detail

### getID

    public int getID()

  Returns the ID of this event.

### getGraphicsNode

    public GraphicsNode getGraphicsNode()

  Returns the graphics node where the event is originated.

### consume

    public void consume()

  Consumes this event so that it will not be processed in the default manner by the source which originated it.

### isConsumed

    public boolean isConsumed()

  Returns whether or not this event has been consumed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.